NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.CfdContactPreventionConstraintBuilder Class Reference

Represents a NXOpen.CAE.CfdContactPreventionConstraint builder More...

Inheritance diagram for NXOpen.CAE.CfdContactPreventionConstraintBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Contact { ContactbetweenObjects, ContactbetweenElements }
 The contact type. More...
 
enum  LocalSubdivisions {
  Zero, One, Two, Three,
  Four, Five
}
 The local subdivision. More...
 
enum  Priority { Low, Medium, High }
 The priority level. More...
 
enum  Sizing { RelativeRefinement, RelativeCoarsening, Absolute }
 The sizing option. More...
 

Properties

unsafe
NXOpen.CAE.CfdContactPreventionConstraintBuilder.Contact 
ContactType [get, set]
 Returns or sets the contact type More...
 
unsafe
NXOpen.SelectTaggedObjectList 
FirstSelectElement [get]
 Returns the first element selection More...
 
unsafe
NXOpen.SelectDisplayableObject 
FirstSelection [get]
 Returns the first selection More...
 
unsafe NXOpen.Expression LocalResolution [get]
 Returns the local resolution More...
 
unsafe
NXOpen.CAE.CfdContactPreventionConstraintBuilder.LocalSubdivisions 
LocalSubdivision [get, set]
 Returns or sets the local subdivision More...
 
unsafe string NameString [get, set]
 Returns or sets the name string More...
 
unsafe
NXOpen.CAE.CfdContactPreventionConstraintBuilder.Priority 
PriorityLevel [get, set]
 Returns or sets the priority level More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SecondSelectElement [get]
 Returns the second element selection More...
 
unsafe
NXOpen.SelectDisplayableObject 
SecondSelection [get]
 Returns the second selection More...
 
unsafe
NXOpen.CAE.CfdContactPreventionConstraintBuilder.Sizing 
SizingOption [get, set]
 Returns or sets the sizing option More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.CfdContactPreventionConstraint builder

To create a new instance of this class, use NXOpen.CAE.CfdContactPreventionConstraintCollection.CreateBuilder

Created in NX9.0.0

Member Enumeration Documentation

The contact type.

Enumerator
ContactbetweenObjects 
ContactbetweenElements 

The local subdivision.

Enumerator
Zero 
One 
Two 
Three 
Four 
Five 

The priority level.

Enumerator
Low 
Medium 
High 

The sizing option.

Enumerator
RelativeRefinement 
RelativeCoarsening 
Absolute 

Property Documentation

unsafe NXOpen.CAE.CfdContactPreventionConstraintBuilder.Contact NXOpen.CAE.CfdContactPreventionConstraintBuilder.ContactType
getset

Returns or sets the contact type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fld_mod_solv ("NX Advanced Fluid Modeling - Full") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.CfdContactPreventionConstraintBuilder.FirstSelectElement
get

Returns the first element selection

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.CAE.CfdContactPreventionConstraintBuilder.FirstSelection
get

Returns the first selection

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.CfdContactPreventionConstraintBuilder.LocalResolution
get

Returns the local resolution

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.CAE.CfdContactPreventionConstraintBuilder.LocalSubdivisions NXOpen.CAE.CfdContactPreventionConstraintBuilder.LocalSubdivision
getset

Returns or sets the local subdivision

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fld_mod_solv ("NX Advanced Fluid Modeling - Full") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe string NXOpen.CAE.CfdContactPreventionConstraintBuilder.NameString
getset

Returns or sets the name string

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fld_mod_solv ("NX Advanced Fluid Modeling - Full") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.CAE.CfdContactPreventionConstraintBuilder.Priority NXOpen.CAE.CfdContactPreventionConstraintBuilder.PriorityLevel
getset

Returns or sets the priority level

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fld_mod_solv ("NX Advanced Fluid Modeling - Full") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.CfdContactPreventionConstraintBuilder.SecondSelectElement
get

Returns the second element selection

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.CAE.CfdContactPreventionConstraintBuilder.SecondSelection
get

Returns the second selection

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.CAE.CfdContactPreventionConstraintBuilder.Sizing NXOpen.CAE.CfdContactPreventionConstraintBuilder.SizingOption
getset

Returns or sets the sizing option

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fld_mod_solv ("NX Advanced Fluid Modeling - Full") OR sc_acou_meshing (" SC Acoustic Meshing")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.